// 开发环境
let api = '';
let trackApi = 'https://test-api.wxagame.com/game-track';
// 生产环境
if (process.env.NODE_ENV === 'production') {
    api = 'https://miniapp-api.wxatech.com/game-bsdk';
    trackApi = 'https://minigame.api.wxagame.com/game-track';
}

export default {
    /**个人中心start**/
    //1 打卡查询 GET /api/v1/daka_status
    dakaStatusPath: `${api}/api/v1/daka_status`,
    //2 打卡操作 POST /api/v1/daka
    dakaPath: `${api}/api/v1/daka`,
    //3 打卡记录 GET /api/v1/daka_records
    dakaRecordsTotalPath: `${api}/api/v1/daka_records/total`,
    dakaRecordsListPath: `${api}/api/v1/daka_records/list`,
    dakaRecordsDetailPath: `${api}/api/v1/daka_records/detail`,
    //4 走马灯、玩法 GET /api/v1/game_info
    gameInfoPath: `${api}/api/v1/game_info`,
    //5 余额查询 GET /api/v1/balance_query
    balanceQueryPath: `${api}/api/v1/balance_query`,
    //6 余额提现 GET /api/v1/balance_withdraw
    balanceWithdrawPath: `${api}/api/v1/balance_withdraw`,
    //7 常见问题 GET /api/v1/faq
    faqPath: `${api}/api/v1/faq`,
    //8 客服 GET /api/v1/kefu
    kefuPath: `${api}/api/v1/kefu`,
    //9 关注公众号 GET /api/v1/oc_follow
    ocFollowPath: `${api}/api/v1/oc_follow`,
    //10 报名支付 GET /api/v1/daka_pay
    dakaPayPath: `${api}/api/v1/daka_pay`,
    //11 jssdk注入
    jssdkPath: `${api}/api/v1/config/jssdk`,
    // 12 提现banner  GET /api/v1/config/withdraw_banner
    withdrawBannerPath: `${api}/api/v1/config/withdraw_banner`,
    // 13 用户复活卡，免契约金卡信息 GET /api/v1/user_cards
    userCardPath: `${api}/api/v1/user_cards`,
    // 14 分享内容  /api/v1/config/share_content
    shareContentPath: `${api}/api/v1/config/share_content`,
    // 15 获取规则文本  /api/v1/get_rule
    getRulePath: `${api}/api/v1/get_rule`,
    // 16 数据埋点 /api/v1/tracking
    trackingPath: `${api}/api/v1/tracking`,
    // 17 关注公众号图片 /api/v1/liin_share_image
    liinShareImagePath: `${api}/api/v1/liin_share_image`,
    // 18 每日分享图 /api/v1/daily_share_image
    dailyShareImagePath: `${api}/api/v1/qrcode_url`,
    // 19 每日排行榜 /api/v1/daka_rank
    dakaRankPath: `${api}/api/v1/daka_rank`,
    // 20 新用户 /api/v1/first_daka
    firstDakaPath: `${api}/api/v1/first_daka`,
    // 21 个人排名 /api/v1/person_rank_info
    personRankInfoPath: `${api}/api/v1/person_rank_info`,
    // 22 用户当月打卡状态查询
    daka_status_list: `${api}/api/v1/daka_status/list`,
    // 23 每日故事详情
    story_detail: `${api}/api/v1/story/detail`,
    // 24 每日故事列表
    story_list: `${api}/api/v1/story/list`,
    // 25 记录详情
    daka_records_detail: `${api}/api/v1/daka_records/detail`,
    // 25 规则详情
    daka_rule: `${api}/api/v1/daka_rule`,
    // 26 红包 /api/v1/withdraw_img
    withdraw_img: `${api}/api/v1/withdraw_img`,
    // 27 提现明细 /api/v1/withdraw_log
    withdraw_log: `${api}/api/v1/withdraw_log`,
    // 首页数据
    daka_index: `${api}/api/v1/daka_index`,
    // 判断用户是否参与比赛
    select_user_signup: `${api}/api/v1/select_user_signup`,
    // 比赛详情
    daka_status_detail: `${api}/api/v1/daka_status/detail`,
    // 比赛详情弹窗
    pop_up_windows: `${api}/api/v1/pop_up_windows`,
    //首页第一项立即报名
    daka_info: `${api}/api/v1/daka_info`,
}